/*******************************************************************************
 * FoxWeapon_FlamingMeleeBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeapon_FlamingMeleeBase extends FoxWeapon_MeleeBase
    config(Knife)
    hidecategories(Navigation);

var const config float IntervalTime;
var const config float FlameDamagePerSecond;
var const config float DamageRadius;
var const class<DamageType> FlameDamageType;

simulated function FirePulseTimer()
{
    local FoxPawn P;

    // End:0x1A0
    if(((!IsInState('Inactive') && Instigator != none) && Instigator.IsAliveAndWell()) && Instigator.Controller != none)
    {
        // End:0x188
        foreach WorldInfo.AllPawns(class'FoxPawn', P, Location, DamageRadius)
        {
            // End:0x187
            if(!WorldInfo.GRI.OnSameTeam(P, Instigator))
            {
                P.TakeDamage(int(FlameDamagePerSecond * IntervalTime), Instigator.Controller, P.Location, vect(0.0, 0.0, 0.0), FlameDamageType,, self);
            }            
        }        
        SetTimer(IntervalTime, false, 'FirePulseTimer');
    }
    //return;    
}

simulated state Inactive
{
    simulated function BeginState(name PreviousStateName)
    {
        ClearTimer('FirePulseTimer');
        super.BeginState(PreviousStateName);
        //return;        
    }

    simulated function EndState(name NextStateName)
    {
        super(FoxWeapon).EndState(NextStateName);
        //return;        
    }
    stop;    
}

simulated state Active
{
    simulated function BeginState(name PreviousStateName)
    {
        FirePulseTimer();
        super.BeginState(PreviousStateName);
        //return;        
    }
    stop;    
}

defaultproperties
{
    begin object name=GearFXParticleSystemComponent0 class=FoxFirstPersonParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonParticleSystemComponent'Default__FoxWeapon_FlamingMeleeBase.GearFXParticleSystemComponent0'
    GearFXComponent=GearFXParticleSystemComponent0
    FireFeedbackWaveform=ForceFeedbackWaveform'Default__FoxWeapon_FlamingMeleeBase.ForceFeedbackWaveformFire'
    TightAimCameraShake=CameraShake'Default__FoxWeapon_FlamingMeleeBase.Shake0'
    NormalCameraShake=CameraShake'Default__FoxWeapon_FlamingMeleeBase.Shake1'
    MuzzleFlashLight=PointLightComponent'Default__FoxWeapon_FlamingMeleeBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.785760
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeapon_FlamingMeleeBase.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=WeaponMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeapon_FlamingMeleeBase.WeaponMesh'
    Mesh=WeaponMesh
}